Doomsday Engine - Bug #935

Running without an IWAD causes freeze
2010-09-21 08:34 - vermil

Status: Closed Start date: 2010-09-21
Priority: Normal % Done: 100%
Assignee: danij

Category:

Target version: 1.9.0-betab

Description

As the summary states; modified Doom Iwads cause 1.9 Beta 6.9 to freeze during loading (when the ring get's to just before a
quarter) instead of gracefully aborting.

| haven't tested to see if the same occurs with Heretic or HeXen.

Labels: Data

History

#1-2010-10-11 08:18 - vermil

To reword this report; running 1.9 beta 6.9 without an lwad causes Dday to freeze during start up rather than gracefully aborting.
The wheel get's a quarter of the way around and the Dday out file stops right after it has finished loading Jxxxx.pk3.

I've also updated the summary title to reflect this rewording.

Also attached is an out file from a freeze with Doom2; the "Doom2.wad" being loaded is a pwad renamed to Doom2.wad

#2 - 2010-10-11 08:41 - danij

| think we should seriously consider disallowing modified IWADs period.

#3 - 2011-01-19 22:47 - vermil

Attachments:

e http://sourceforge.net/p/deng/bugs/_discuss/thread/30231a0f/2071/attachment/doomsday.out
#4 - 2011-01-19 22:48 - danij

This has now been addressed in the ringzero branch, however, IWADs that have had their ident marker changed to PWAD are not recognised as a
"valid" IWAD. Once a heuristic analysis is in place however, this may change.
